@font-face {
  font-family: "MedulaOne";
  src: url("../assets/MedulaOne-Regular.ttf");
}

body {
  margin: 0;
  padding: 0;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  background-color: #222;
  background-size: 30px;
  background-image: url(../assets/stripe-pattern.png);
  h1 {
    font-family: "MedulaOne";
    font-weight: normal;
    font-size: 50px;
    text-transform: uppercase;
    margin: 0px;
  }
  h2 {
    font-family: "MedulaOne";
    font-weight: normal;
  }
  p {
    font-family: "MedulaOne";
    font-weight: normal;
    font-size: 24px;
  }
  a {
    font-family: "MedulaOne";
    font-weight: normal;
    font-size: 24px;
    cursor: default;
  }
  input, button {
    font-family: "MedulaOne";
    font-weight: normal;
  }
  .app {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    flex-direction: column;
    width: 1000px;
    transition: 1s;
    overflow: hidden;
    margin: auto;
    &.intro {
      pointer-events: none;
      width: 0;
      .content {
        margin-left: 500px;
      }
    }
    &.transition {
      pointer-events: none;
    }
    .content {
      width: 900px;
      height: 500px;
      transition: 1s;
      margin: 0;
      box-shadow: 0 10px 10px #0005;
      display: grid;
      grid-template-rows: auto;
      z-index: 50;
      &.box-sum-2 {
        grid-template-areas:
          "box-1 box-2";
      }
      &.box-sum-3 {
        grid-template-areas:
          "box-1 box-1 box-2 box-2 box-2"
          "box-1 box-1 box-3 box-3 box-3";
      }
      &.box-sum-4 {
        grid-template-areas:
        "box-1 box-1 box-2 box-2 box-2 box-2"
        "box-1 box-1 box-2 box-2 box-2 box-2"
        "box-1 box-1 box-3 box-3 box-4 box-4"
        "box-1 box-1 box-3 box-3 box-4 box-4"
        "box-1 box-1 box-3 box-3 box-4 box-4";
      }
      &.box-sum-5 {
        grid-template-areas:
          "box-1 box-1 box-1 box-1 box-4 box-4 box-4 box-4 box-4"
          "box-1 box-1 box-1 box-1 box-4 box-4 box-4 box-4 box-4"
          "box-2 box-2 box-3 box-3 box-3 box-5 box-5 box-5 box-5"
          "box-2 box-2 box-3 box-3 box-3 box-5 box-5 box-5 box-5"
          "box-2 box-2 box-3 box-3 box-3 box-5 box-5 box-5 box-5";
      }
      &.box-sum-6 {
        grid-template-areas:
          "box-1 box-1 box-3 box-3 box-3 box-4 box-4 box-5 box-5"
          "box-1 box-1 box-3 box-3 box-3 box-4 box-4 box-5 box-5"
          "box-1 box-1 box-3 box-3 box-3 box-4 box-4 box-5 box-5"
          "box-2 box-2 box-2 box-6 box-6 box-6 box-6 box-5 box-5"
          "box-2 box-2 box-2 box-6 box-6 box-6 box-6 box-5 box-5";
      }
      .box-1 { grid-area: box-1; }
      .box-2 { grid-area: box-2; }
      .box-3 { grid-area: box-3; }
      .box-4 { grid-area: box-4; }
      .box-5 { grid-area: box-5; }
      .box-6 { grid-area: box-6; }
    }
  }
}

@media (max-width: 1000px) {
  body {
    background: white;
    .app {
      width: auto;
      height: fit-content;
      min-height: 100vh;
      justify-content: start;
      &.intro {
        pointer-events: auto;
        width: auto;
        .content {
          margin-left: 0;
          opacity: 0;
        }
      }
      .content {
        width: 100%;
        display: flex;
        flex-direction: column;
        height: fit-content;
        min-height: 100vh;
        box-shadow: none;
      }
    }
  }
}
